#ifndef RRCLIENT_REPLICANT_VIEW_H
#define RRCLIENT_REPLICANT_VIEW_H

#include <Application.h>
#include <Window.h>
#include <View.h>
#include "rrlms.h"
#include "icon.h"
#include "rrclientOptionsWindow.h"

class _EXPORT rrclientReplicantView;

class rrclientReplicantView : public BView {
public:
					rrclientReplicantView(BRect frame, const char *name);
					rrclientReplicantView(BMessage *);
					~rrclientReplicantView();
	
	static 			rrclientReplicantView *Instantiate(BMessage *data);
	status_t 		Archive(BMessage *data, bool deep = true) const;
	
	void			AttachedToWindow( void );
	void 			MouseDown(BPoint);
	virtual void 	Draw(BRect );
	void 			MessageReceived(BMessage *);
	BMessenger*		GetDeskBarMessenger(void);
	void			RemoveFromDeskBar( const char *name );
	
private:
	void			BuildMenu();
	const char*		GetResultMsg( int result );
	BMessenger		messenger;
	BBitmap 		*icon;
	BPopUpMenu 		*rrclientMenu;
	BWindow 		*optionsWindow;
	bool 			is_connected;
};
			 	
#endif //RRCLIENT_REPLICANT_VIEW_H